#!/bin/bash
#
#===============================================================================
# Cambia de flac a mp3 en el directorio en curso. Borra los flac.
#===============================================================================
#

if [ $# -ne 1 ]
then
  echo "Uso: "${0##*/}" ruta"
  exit 0
fi

find $1 -maxdepth 1 -iname "*.flac" | while read f
do
# ${f%.*} quita la extensión
  flac -cd "${f}" | lame -b 320 - "${f%.*}".mp3
  rm "${f}"
done
