#!/bin/bash
#
#===============================================================================
# Redimensiona en el directorio en curso si el tamaño es mayor que 160x200
#===============================================================================
#
# convert se encuentra en el paquete Imagemagick
#

if [ $# -ne 1 ]
then
  echo "Uso: "${0##*/}" ruta"
  exit 0
fi

find $1 -maxdepth 1 -iname "*.jpg" | while read img
do
# 160x200\> significa que modifica img si es menor de 160x200
# convert genera "$img"_TEMP aunque "$img" sea menor del valor dado
  convert -verbose -resize 160x200\> "$img" "$img"_TEMP
  mv -v "$img"_TEMP "$img"
done
