#!/bin/bash
#===============================================================================
# Renombra recursivamente los espacios de los archivos a guion bajo.
#===============================================================================

if [ $# -ne 1 ]
then
  echo "Uso: "${0##*/}" ruta"
  exit 1
fi

find $1 -depth -name '* *' | while read fichero
do
  ruta="${fichero%/*}"  
  nombre="${fichero##*/}"
  nuevonombre=`echo "$nombre" | sed 's/ /_/g'`
  mv "${ruta}/""$nombre" "${ruta}/""$nuevonombre"
done
exit 0
