#!/bin/bash
#
#===============================================================================
# Cambia recursivamente los ficheros de texto (hay que pasarle la
# condición para que solo encuentre ficheros de texto porque si no
# estropea los binarios) a 75 columnas con fmt (es mejor que fold).
# Cuidado con ficheros de código (bash, c, tex, etc.), en ese caso mejor fold
#===============================================================================
#

if [ $# -ne 2 ]
then
  echo "Uso: "${0##*/}" ruta expresión|fichero"
  echo "Ejemplo: "${0##*/}" . \*.tex"
  exit 0
fi

find $1 -name "$2" -type f | while read f
do
  cp "${f}" "${f}"_TEMP
# fold -s -w 72 "${f}"_TEMP > "$f" 
 fmt "${f}"_TEMP > "${f}" 
  rm "${f}"_TEMP
done
