#!/bin/bash
#
#===============================================================================
# Convertimos en el directorio en curso de ogg y wav a mp3. Borra los
# ogg y wav.
#===============================================================================
#
# oggdec se encuentra en el paquete vorbis-tools

if [ $# -ne 1 ]
then
  echo "Uso: "${0##*/}" ruta"
  exit 0
fi

# Pasamos de ogg a wav y a mp3 (con la tubería no escribimos archivo wav,
# pasa directamente de la salida estandar de oggdec a la entrada estandar 
# de lame. Borramos ogg.
find $1 -maxdepth 1 -iname "*.ogg" | while read f
do
  oggdec -o - "$f" | lame -b 320 - "${f%.*}".mp3
  rm "$f"
done


# Así muestra la información de oggdec y de lame conforme trabajan. Parece
# que tarda lo mismo que con la tubería
#find $1 -maxdepth 1 -iname "*.ogg" | while read f
#do
#  oggdec  "$f" 
#  lame -b 320  "${f%.*}".wav "${f%.*}".mp3
#  rm "$f"
#  rm "${f%.*}".wav
#done
