#!/bin/bash
#
#===============================================================================
# Cambia en el directorio en curso de tif a jpg 
#===============================================================================
#
# convert se encuentra en el paquete Imagemagick
#

find . -maxdepth 1 -iname '*.tif' | while read img
do
  convert -quality 85 "$img" "${img}".jpg
# Borramos los originales tif
  rm -v "$img"
done

# renombramos tif.jpg a jpg

find . -maxdepth 1 -iname '*.tif.jpg' | while read img
do
  nuevaimg=$(echo "$img"  | sed 's/tif.jpg/jpg/g')
  mv -v "$img" "$nuevaimg"
done
