#!/bin/bash
#
# ==============================================================================
# Explica aquí qué hace el guión. Servirá a otras personas que lean el guión y 
# también a ti mismo cuando vuelvas a mirarlo dentro de tres meses...
# ==============================================================================
#

# Verificamos que el usuario/a invoca correctamente el guión:
if [ $# -ne 1 ]
then
  echo "Uso: "${0##*/}" ruta"
  echo "Ejemplo: "${0##*/}" nombre_directorio"
  exit 1
fi

# Recorremos el directorio fichero a fichero
find "$1" -maxdepth 1 -type f | while read fichero
do
# En este ejemplo usamos el comando "file" para que nos indique de qué tipo es
# cada fichero:
  file "$fichero"
done
exit 0
